% Function, used to obtain impulse responses
% Based on the work of Tom Holden's paper: http://www.dynare.org/wp-repo/dynarewp004.pdf

function IRF = GetRelIRF( VariableName, ShockName,TIRF)
	%try
		IRF = evalin( 'base', [ 'oo_.irfs.' VariableName '_epsilon_' ShockName ] )';
        %TIRF=15;
% 	catch Exception
% 		IRF = zeros( TIRF, 1 );
% 		if strcmp( Exception.identifier, 'MATLAB:nonExistentField' )
% 			warning( 'JMP:IRFNotFound', [ 'Variable oo_.irfs.' VariableName '_epsilon_' ShockName ' was not found.\n' ] );
% 		else
% 			rethrow( Exception );
% 		end
	%end
end